Debian Bug report logs - #550153
/proc/kallsyms does not contain init_nfsd on 2.6.32-rc3

version graph

Package: nfs-kernel-server; Maintainer for nfs-kernel-server is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-kernel-server is src:nfs-utils.

Reported by: Petr Vandrovec <petr@vmware.com>

Date: Wed, 7 Oct 2009 21:54:06 UTC

Severity: serious

Tags: patch, sid, squeeze

Merged with 554508, 572084

Found in versions nfs-utils/1:1.1.2-6, nfs-utils/1:1.2.0-4, nfs-utils/1:1.2.1-2

Fixed in versions nfs-utils/1:1.2.0-4.1, nfs-utils/1:1.2.1-3, nfs-utils/1:1.1.2-6lenny2

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Wed, 07 Oct 2009 21:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Vandrovec <petr@vmware.com>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 07 Oct 2009 21:54:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Vandrovec <petr@vmware.com>
To: submit@bugs.debian.org
Subject: /proc/kallsyms does not contain init_nfsd on 2.6.32-rc3
Date: Wed, 07 Oct 2009 14:52:39 -0700
Package: nfs-kernel-server
Version: 1:1.2.0-4

Hello,
  nfs-kernel-server startup script fails to start on my 2.6.32-rc3 with 
modular nfsd, saying that kernel does not support nfsd:

petr-dev3:/usr/src/git/linux-2.6/fs/nfsd# /etc/init.d/nfs-kernel-server 
start
Not starting NFS kernel daemon: no support in current kernel. ... (warning).

Apparently init method is no longer listed with its name in exported 
symbols, most probably due to symbols in __init section being dropped.

petr-dev3:/usr/src/git/linux-2.6/fs/nfsd# grep nfsd /proc/kallsyms | 
grep init
ffffffffa0382400 t svc_export_init      [nfsd]
ffffffffa0383d60 t expkey_init  [nfsd]
ffffffffa03aac38 b nfs4_init    [nfsd]
ffffffffa039d4d0 t ent_init     [nfsd]
ffffffffa039f1d0 t init_state   [nfsd]
ffffffffa03bb1f0 b rec_dir_init [nfsd]
ffffffffa039e610 t nfsd_idmap_init      [nfsd]
ffffffffa03871a0 t nfsd_stat_init       [nfsd]
ffffffffa0386080 t nfsd_reply_cache_init        [nfsd]
ffffffffa03991b0 t nfs4_state_init      [nfsd]
ffffffffa0384760 t nfsd_export_init     [nfsd]
ffffffffa037e520 t nfsd_racache_init    [nfsd]
ffffffffa0385950 t nfsd_lockd_init      [nfsd]
ffffffffa03a0560 t nfsd4_init_recdir    [nfsd]

Testing presence of /proc/fs/nfs/exports seems to work on that kernel - 
though I have no idea how far back (and into the future) that works...

# See if our running kernel supports the NFS kernel server
if [ ! -f /proc/fs/nfs/exports ]; then
    log_warning_msg "Not starting $DESC: no support in current kernel."
    exit 0
fi

					Thanks,
						Petr Vandrovec




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Mon, 19 Oct 2009 15:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 19 Oct 2009 15:03:09 GMT) Full text and rfc822 format available.

Message #10 received at 550153@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Debian Bug Tracking System <550153@bugs.debian.org>
Subject: init_nfsd isn't in -rc5, either
Date: Mon, 19 Oct 2009 10:51:24 -0400
Package: nfs-kernel-server
Version: 1:1.2.0-4
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Still the same way in 2.6.32-rc5, so it's probably going to stay that
way. Considering Debian is probably going to release with 2.6.32[0]...

[0]: http://lists.debian.org/debian-kernel/2009/10/msg00613.html

- -- System Information:
Debian Release: squeeze/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'testing'), (130, 'unstable'), (120, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-rc5 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages nfs-kernel-server depends on:
ii  libblkid1                2.16.1-4        block device id library
ii  libc6                    2.9-25          GNU C Library: Shared libraries
ii  libcomerr2               1.41.9-1        common error description library
ii  libgssapi-krb5-2         1.7dfsg~beta3-1 MIT Kerberos runtime libraries - k
ii  libgssglue1              0.1-4           mechanism-switch gssapi library
ii  libk5crypto3             1.7dfsg~beta3-1 MIT Kerberos runtime libraries - C
ii  libkrb5-3                1.7dfsg~beta3-1 MIT Kerberos runtime libraries
ii  libnfsidmap2             0.22-2          An nfs idmapping library
ii  librpcsecgss3            0.19-2          allows secure rpc communication us
ii  libwrap0                 7.6.q-18        Wietse Venema's TCP wrappers libra
ii  lsb-base                 3.2-23          Linux Standard Base 3.2 init scrip
ii  nfs-common               1:1.2.0-4       NFS support files common to client
ii  ucf                      3.0022          Update Configuration File: preserv

nfs-kernel-server recommends no packages.

nfs-kernel-server suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrcfOkACgkQ+z+IwlXqWf5BTACeOONtByTc8c7abFikYN3Yj4en
P7sAn162Ngx7r+fDjSMfO1XgKmIzdgOu
=EXU0
-----END PGP SIGNATURE-----




Severity set to 'important' from 'normal' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 21 Nov 2009 09:27:03 GMT) Full text and rfc822 format available.

Merged 550153 554508. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 21 Nov 2009 09:27:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 22 Nov 2009 20:33:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Mon, 14 Dec 2009 18:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harry Edmon <harry@atmos.washington.edu>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 14 Dec 2009 18:12:02 GMT) Full text and rfc822 format available.

Message #21 received at 550153@bugs.debian.org (full text, mbox):

From: Harry Edmon <harry@atmos.washington.edu>
To: 550153@bugs.debian.org
Subject: init_nfsd is not in released 2.6.32
Date: Mon, 14 Dec 2009 10:03:02 -0800
The released 2.6.32 does not have the init_nfsd entry.   This has to be 
fixed for squeeze.

-- 
Dr. Harry Edmon			E-MAIL: harry@atmos.washington.edu
206-543-0547 FAX: 206-543-0308		harry@washington.edu, harry@uw.edu
Director of IT, College of the Environment and
Director of Computing, Dept of Atmospheric Sciences
University of Washington, Box 351640, Seattle, WA 98195-1640





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Thu, 17 Dec 2009 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 17 Dec 2009 00:12:03 GMT) Full text and rfc822 format available.

Message #26 received at 550153@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 550153@bugs.debian.org
Subject: Re: /proc/kallsyms does not contain init_nfsd on 2.6.32-rc3
Date: Thu, 17 Dec 2009 00:09:04 +0000
[Message part 1 (text/plain, inline)]
I intend to make an NMU with the following changes.

Ben.

diff -u nfs-utils-1.2.0/debian/nfs-kernel-server.init nfs-utils-1.2.0/debian/nfs-kernel-server.init
--- nfs-utils-1.2.0/debian/nfs-kernel-server.init
+++ nfs-utils-1.2.0/debian/nfs-kernel-server.init
@@ -64,7 +64,7 @@
 		do_modprobe nfsd
 
 		# See if our running kernel supports the NFS kernel server
-		if [ -f /proc/kallsyms ] && ! grep -qE 'init_nf(sd|	)' /proc/kallsyms; then
+		if ! [ -d /sys/module/nfsd ]; then
 			log_warning_msg "Not starting $DESC: no support in current kernel."
 			exit 0
 		fi
diff -u nfs-utils-1.2.0/debian/changelog nfs-utils-1.2.0/debian/changelog
--- nfs-utils-1.2.0/debian/changelog
+++ nfs-utils-1.2.0/debian/changelog
@@ -1,3 +1,10 @@
+nfs-utils (1:1.2.0-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Fix test for NFS kernel server support in init script; closes: #550153
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Dec 2009 22:14:01 +0000
+
 nfs-utils (1:1.2.0-4) unstable; urgency=low
 
   * Removing myself from uploaders.
--- END ---

-- 
Ben Hutchings
Hoare's Law of Large Problems:
        Inside every large problem is a small problem struggling to get out.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 17 Dec 2009 00:12:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Fri, 18 Dec 2009 00:33:09 GMT) Full text and rfc822 format available.

Notification sent to Petr Vandrovec <petr@vmware.com>:
Bug acknowledged by developer. (Fri, 18 Dec 2009 00:33:09 GMT) Full text and rfc822 format available.

Message #33 received at 550153-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 550153-close@bugs.debian.org
Subject: Bug#550153: fixed in nfs-utils 1:1.2.0-4.1
Date: Fri, 18 Dec 2009 00:32:27 +0000
Source: nfs-utils
Source-Version: 1:1.2.0-4.1

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive:

nfs-common_1.2.0-4.1_i386.deb
  to main/n/nfs-utils/nfs-common_1.2.0-4.1_i386.deb
nfs-kernel-server_1.2.0-4.1_i386.deb
  to main/n/nfs-utils/nfs-kernel-server_1.2.0-4.1_i386.deb
nfs-utils_1.2.0-4.1.diff.gz
  to main/n/nfs-utils/nfs-utils_1.2.0-4.1.diff.gz
nfs-utils_1.2.0-4.1.dsc
  to main/n/nfs-utils/nfs-utils_1.2.0-4.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 16 Dec 2009 22:14:01 +0000
Source: nfs-utils
Binary: nfs-kernel-server nfs-common
Architecture: source i386
Version: 1:1.2.0-4.1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 nfs-common - NFS support files common to client and server
 nfs-kernel-server - support for NFS kernel server
Closes: 550153
Changes: 
 nfs-utils (1:1.2.0-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix test for NFS kernel server support in init script; closes: #550153
Checksums-Sha1: 
 eae23256c49ee4a13e79a4ce441d5ee5c9023098 1847 nfs-utils_1.2.0-4.1.dsc
 afb2621a408cb4d6fc32dfb22dd9b9a61a35338e 37136 nfs-utils_1.2.0-4.1.diff.gz
 4f0f3686da6a2ca655b677179f655e2ea885b113 153248 nfs-kernel-server_1.2.0-4.1_i386.deb
 46bbe35feb659aa4daca3c806f96923fce5e1f4a 208106 nfs-common_1.2.0-4.1_i386.deb
Checksums-Sha256: 
 0c1790761a21dfe2dd84b96f3830b709c98eb799930a3581a671716382566db5 1847 nfs-utils_1.2.0-4.1.dsc
 dd65ff4f3b3093f5874b4c8b435616965b2b5574c09733a00740fef30abb3821 37136 nfs-utils_1.2.0-4.1.diff.gz
 a9f7bcf9b483d42f899975de75777be7341800d29bfbd5b75aa7fe9c7d695c97 153248 nfs-kernel-server_1.2.0-4.1_i386.deb
 2bc7bcad7260ff7169aae4a6f49b4340349a3efae705660d1cbb694df1cd226b 208106 nfs-common_1.2.0-4.1_i386.deb
Files: 
 59f1d72239b60385405d11036acc4223 1847 net standard nfs-utils_1.2.0-4.1.dsc
 8d3a6c948211977d5186cf1fc012512d 37136 net standard nfs-utils_1.2.0-4.1.diff.gz
 c92f01f9f2ed72008e0671f3c17fb7dd 153248 net optional nfs-kernel-server_1.2.0-4.1_i386.deb
 e0b0c3ed972c72decc857951f5ae406b 208106 net standard nfs-common_1.2.0-4.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBSyrJYOe/yOyVhhEJAQq7dQ//WaQcOtluNo2Cm8AxCAw/DyPZPzX3NZdt
pyf6ILYPgu8y3dfGqCILNkIw66beHQ9JC5Fcu2g8yxzBByab+2cH/H5e4GVAKsdq
+90UXevqdtJJsoGB0l2JqgNFD4q88UilAHAMPS1JMYTl7tzOGSlXehHlNFKS8pYD
8BbzmhPR9j94Tqp+eixFShLNWn44vkajocu1GBrEuJzhkSCCrqyHCIDs/RcyoW82
2ENjVN+Qff1Zxb8GxH6BVnq3uXmAnAASodLPzj7G9fSj8M40vp1/rWAnz090eb7/
ZD1Mf61gj2eDcn6DLun5A97zGdiGMwSQZo1wK4xqm7z2PkUHWCV076gZOikOW0U2
DsYRYApoM+DSxO8CCq1ZuP20leVBGgEIiZwiJ5WdBmhgOVQ1WUUxPzIJgFv2oTiP
e4Hw5OJRBxPFSoR7GjtyKcqBVZnox7dVGGPTHyIarYYVnZfmpqGpM5cxa3z6RsI+
1KVhYKzA37JbFpiLJVSSB189icZqBBEpwPT/s/l31bHKhBbnj+aXvHufhlCNovR4
95zJbpW6jIajWBzLkKcYK5bVOLg1nHPVSC+CexsJrXDdTeJjun6XiEzXvZeVdWVq
dKMhaesYCpEOQeyiO7Sf7QDZw/eKBitSntYLAG8MZS6Ct6185f081vt5U9JxHQxx
dESS75UUQio=
=cLTL
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Fri, 18 Dec 2009 00:33:10 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Fri, 18 Dec 2009 00:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Fri, 18 Dec 2009 03:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 18 Dec 2009 03:57:03 GMT) Full text and rfc822 format available.

Message #43 received at 550153@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Ben Hutchings <ben@decadent.org.uk>, 550153@bugs.debian.org
Subject: Re: [Bug 493145] Re: [Lucid] NFS kernel server doesn't work anymore with 2.6.32
Date: Thu, 17 Dec 2009 19:51:59 -0800
[Message part 1 (text/plain, inline)]
On Fri, Dec 18, 2009 at 12:24:01AM -0000, Ben Hutchings wrote:
> I substituted a much cleaner test in Debian (see the linked bug report)
> and suggest you take that change.

As near as I can tell, the Debian fix is incorrect because /sys/module/nfsd
is only available if nfsd is built as a module. Anyone who has the code
built into their kernel will not have this directory.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Fri, 18 Dec 2009 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 18 Dec 2009 04:03:03 GMT) Full text and rfc822 format available.

Message #48 received at 550153@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Steve Langasek <steve.langasek@canonical.com>
Cc: 550153@bugs.debian.org
Subject: Re: [Bug 493145] Re: [Lucid] NFS kernel server doesn't work anymore with 2.6.32
Date: Fri, 18 Dec 2009 03:57:01 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2009-12-17 at 19:51 -0800, Steve Langasek wrote:
> On Fri, Dec 18, 2009 at 12:24:01AM -0000, Ben Hutchings wrote:
> > I substituted a much cleaner test in Debian (see the linked bug report)
> > and suggest you take that change.
> 
> As near as I can tell, the Debian fix is incorrect because /sys/module/nfsd
> is only available if nfsd is built as a module. Anyone who has the code
> built into their kernel will not have this directory.

Anything that *can* be built as a module still appears in /sys/modules
even if built-in.

Ben.

-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Fri, 18 Dec 2009 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Schniedermeyer <ms@citd.de>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 18 Dec 2009 14:30:03 GMT) Full text and rfc822 format available.

Message #53 received at 550153@bugs.debian.org (full text, mbox):

From: Matthias Schniedermeyer <ms@citd.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Steve Langasek <steve.langasek@canonical.com>, 550153@bugs.debian.org
Subject: Re: [Bug 493145] Re: [Lucid] NFS kernel server doesn't work anymore with 2.6.32
Date: Fri, 18 Dec 2009 15:20:34 +0100
On 18.12.2009 03:57, Ben Hutchings wrote:
> On Thu, 2009-12-17 at 19:51 -0800, Steve Langasek wrote:
> > On Fri, Dec 18, 2009 at 12:24:01AM -0000, Ben Hutchings wrote:
> > > I substituted a much cleaner test in Debian (see the linked bug report)
> > > and suggest you take that change.
> > 
> > As near as I can tell, the Debian fix is incorrect because /sys/module/nfsd
> > is only available if nfsd is built as a module. Anyone who has the code
> > built into their kernel will not have this directory.
> 
> Anything that *can* be built as a module still appears in /sys/modules
> even if built-in.

Then nfsd must be the exception that proves the rule, because that 
change just killed my nfs-kernel-server ("Not starting NFS kernel 
daemon: no support in current kernel.").
I'm running 2.6.32 with nfsd compiled in and there is no 
"/sys/module/nfsd"

Killing the check make nfsd work again.




Bis denn

-- 
Real Programmers consider "what you see is what you get" to be just as 
bad a concept in Text Editors as it is in women. No, the Real Programmer
wants a "you asked for it, you got it" text editor -- complicated, 
cryptic, powerful, unforgiving, dangerous.





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Fri, 18 Dec 2009 22:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 18 Dec 2009 22:36:06 GMT) Full text and rfc822 format available.

Message #58 received at 550153@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Matthias Schniedermeyer <ms@citd.de>
Cc: Steve Langasek <steve.langasek@canonical.com>, 550153@bugs.debian.org
Subject: Re: [Bug 493145] Re: [Lucid] NFS kernel server doesn't work anymore with 2.6.32
Date: Fri, 18 Dec 2009 22:33:44 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2009-12-18 at 15:20 +0100, Matthias Schniedermeyer wrote:
> On 18.12.2009 03:57, Ben Hutchings wrote:
> > On Thu, 2009-12-17 at 19:51 -0800, Steve Langasek wrote:
> > > On Fri, Dec 18, 2009 at 12:24:01AM -0000, Ben Hutchings wrote:
> > > > I substituted a much cleaner test in Debian (see the linked bug report)
> > > > and suggest you take that change.
> > > 
> > > As near as I can tell, the Debian fix is incorrect because /sys/module/nfsd
> > > is only available if nfsd is built as a module. Anyone who has the code
> > > built into their kernel will not have this directory.
> > 
> > Anything that *can* be built as a module still appears in /sys/modules
> > even if built-in.
> 
> Then nfsd must be the exception that proves the rule, because that 
> change just killed my nfs-kernel-server ("Not starting NFS kernel 
> daemon: no support in current kernel.").
> I'm running 2.6.32 with nfsd compiled in and there is no 
> "/sys/module/nfsd"
> 
> Killing the check make nfsd work again.

You're right.  /sys/module/<name> is created for built-in code which has
"module" parameters, but nfsd doesn't have any.

Let's check for /proc/fs/nfs/exports instead.  That will always be
created on successful initialisation of nfsd.

Ben.

-- 
Ben Hutchings
Humans are not rational beings; they are rationalising beings.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Tue, 05 Jan 2010 04:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 05 Jan 2010 04:30:07 GMT) Full text and rfc822 format available.

Message #63 received at 550153@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 550153@bugs.debian.org
Subject: Did you mean to close this bug?
Date: Mon, 04 Jan 2010 23:21:23 -0500
Ben,

I was just taking a look at this bug after I found it here:

http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=nfs-kernel-server

It is marked as resolved, because you closed it after you provided your 
NMU, but it looks like this is not actually resolved.  Did you mean to 
reopen this bug, or leave it closed?


Dave W.




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#550153; Package nfs-kernel-server. (Tue, 05 Jan 2010 05:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 05 Jan 2010 05:03:02 GMT) Full text and rfc822 format available.

Message #68 received at 550153@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dave Witbrodt <dawitbro@sbcglobal.net>
Cc: 550153@bugs.debian.org
Subject: Re: Did you mean to close this bug?
Date: Tue, 05 Jan 2010 05:02:24 +0000
[Message part 1 (text/plain, inline)]
On Mon, 2010-01-04 at 23:21 -0500, Dave Witbrodt wrote:
> Ben,
> 
> I was just taking a look at this bug after I found it here:
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=nfs-kernel-server
> 
> It is marked as resolved, because you closed it after you provided your 
> NMU, but it looks like this is not actually resolved.  Did you mean to 
> reopen this bug, or leave it closed?

It is resolved in that Linux 2.6.32 is generally supported now.

The lack of support for non-modular nfsd is bug #561674.

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 550153 554508 572084. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 01 Mar 2010 14:39:08 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 02 Mar 2010 07:48:26 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 19 Apr 2010 14:03:10 GMT) Full text and rfc822 format available.

Notification sent to Petr Vandrovec <petr@vmware.com>:
Bug acknowledged by developer. (Mon, 19 Apr 2010 14:03:10 GMT) Full text and rfc822 format available.

Message #77 received at 550153-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 550153-close@bugs.debian.org
Subject: Bug#550153: fixed in nfs-utils 1:1.1.2-6lenny2
Date: Mon, 19 Apr 2010 14:02:28 +0000
Source: nfs-utils
Source-Version: 1:1.1.2-6lenny2

We believe that the bug you reported is fixed in the latest version of
nfs-utils, which is due to be installed in the Debian FTP archive:

nfs-common_1.1.2-6lenny2_i386.deb
  to main/n/nfs-utils/nfs-common_1.1.2-6lenny2_i386.deb
nfs-kernel-server_1.1.2-6lenny2_i386.deb
  to main/n/nfs-utils/nfs-kernel-server_1.1.2-6lenny2_i386.deb
nfs-utils_1.1.2-6lenny2.diff.gz
  to main/n/nfs-utils/nfs-utils_1.1.2-6lenny2.diff.gz
nfs-utils_1.1.2-6lenny2.dsc
  to main/n/nfs-utils/nfs-utils_1.1.2-6lenny2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550153@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated nfs-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 18 Apr 2010 12:31:00 +0100
Source: nfs-utils
Binary: nfs-kernel-server nfs-common
Architecture: i386 source
Version: 1:1.1.2-6lenny2
Distribution: stable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 550153
Description: 
 nfs-common - NFS support files common to client and server
 nfs-kernel-server - support for NFS kernel server
Changes: 
 nfs-utils (1:1.1.2-6lenny2) stable; urgency=low
 .
   * Update maintainers and uploaders to match unstable
   * Fix test for NFS kernel server support in init script (Closes: #550153)
Checksums-Sha1: 
 8c8115dce254ebe2e26dfb4ec4b2ded70697d0af 1978 nfs-utils_1.1.2-6lenny2.dsc
 81c337cf260bca1e1f0589d5b239216ed59e8cef 35554 nfs-utils_1.1.2-6lenny2.diff.gz
 2bf046150c80c227d9c4425546b02999f62d8f25 150086 nfs-kernel-server_1.1.2-6lenny2_i386.deb
 eda8a122b2823d4f0cde34e264648a35378d128d 189552 nfs-common_1.1.2-6lenny2_i386.deb
Checksums-Sha256: 
 f963540c014fc6e1531f6c9c5960dd4ed8258ac5b2d389090582c9b91c647517 1978 nfs-utils_1.1.2-6lenny2.dsc
 ec4025fb60f145c1b8f57771cedb40b8c3810193f284dbaba7f3cc7a87e935f6 35554 nfs-utils_1.1.2-6lenny2.diff.gz
 61a333cd3a33bb76dbbd6b53a9af26d8c9000539272cc3d88d7111b3915924e1 150086 nfs-kernel-server_1.1.2-6lenny2_i386.deb
 1d17ce33dcac6cc8298de1aad55e3967ab10531a5ebf948f745f8d8ce25edfc7 189552 nfs-common_1.1.2-6lenny2_i386.deb
Files: 
 05c2ada355cb9541ec2e75f8a5d8af33 1978 net standard nfs-utils_1.1.2-6lenny2.dsc
 6a774583a244da8e5ed00d3b78711a75 35554 net standard nfs-utils_1.1.2-6lenny2.diff.gz
 2d9b653213f7bd2341d5aeab2475b4cc 150086 net optional nfs-kernel-server_1.1.2-6lenny2_i386.deb
 6aa33b62e33e4c3f8dca23c7cdcd8dd7 189552 net standard nfs-common_1.1.2-6lenny2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIVAwUBS8s5z+e/yOyVhhEJAQr3ZQ/9HXgIMq/a7K5KqQSYYtiQ1ZHXoLZIOp3W
7QAI0gZDBVoWeLlIBmjNnFbYrlDib3KVmvdsi/jtlr1LXfOA1aH7hreEvBu5U/t+
pPWBI/hR36eXWeC52ehjwLhn/e7WXf1hZp18+GzlUYuguis7wwcim5sssnHwQB94
oYXcuvw3gZHy/xFVzCMpeyiKgYgfJcR+QPmaGQsF965iFDe+R/pCr/dsJCPNi99Q
GZmF+n8TFwc+s0UQmPKaZhP+cpJrjwObLw1sQgPh3LhuC+YXVEXRXu0mkGKW75ff
/nkpeRKgTHn/C5kyTF3IUr4ceK9n4xrdeSzwGxqNFcDLltl/ylhmqdcuJsJiQmq2
LXLEAUwIkvZCiHmGsu9uE2Xn3b3T+5UDKt5yiwGFpYKBAp58Sm5bcF8E7GjzjXEg
/ZyYrMm78ZXymRDjWuZomq+2gXG0X8rvbvpOyY+2x9n0GFIkp2z+R3ke9onLzEYn
2/M58r85LHtvJICO1jbL6SpQ/Fj2uf0uhN6KqAoILrL/p8AtQB/ccym5kKYNGY7U
RK7jqeRb3JpVzjXW8n0W93zqhBc/ADR2QpyoFBlo/4iM8O9fKjwaJL1ohneysaFB
31IQyK/9JmgnGmiQIpAKabq3JznQ5/e+edW2AYTsUkXh9wDG1jR8iZFTIcx1+1u+
0DuOx/+svAY=
=4i62
-----END PGP SIGNATURE-----





Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 19 Apr 2010 14:03:10 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Mon, 19 Apr 2010 14:03:10 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 19 Apr 2010 14:03:11 GMT) Full text and rfc822 format available.

Notification sent to Marco van Zwetselaar <zwets@zwets.com>:
Bug acknowledged by developer. (Mon, 19 Apr 2010 14:03:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Jun 2010 07:31:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:08:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.